Data Preview & Analysis

With "Data Preview & Analysis" program you can preview datafiles (files that have been acquired during measurements), modify them, plot them or see the numerical values of the acquired datasets.
Moreover you can create "Surface graph" with the temporal evolution of them or of several lidar parameters.

The term “Lidar parameter” indicates every parameter that can be calculated from the raw data. For example the range corrected signal, the natural logarithm of RCS, the backscatter coefficient, the extinction coefficient.
There are four main windows that you can work with:
The Main DB window where you can see the header lines and a graphical representation of the datasets of one datafile
The Worksheet window where you can input datasets from datafiles (or lidar parameters) in numerical representation
The Plot window where you can plot several datasets (or lidar parameters)
The Surface window where you can plot data (or lidar parameters) over the time.

The worksheet and plot window can support not only raymetrics datafiles but also any ASCII datafile.

To automate processing of the datafiles the "Data Preview & Analysis" program must be associated with a Database.
Actually with the term Database we mean a folder, which contains a datalog file with the associated datafiles.
Such a datalog file is created in each lidar instrument the first time you acquire data. It is a binary table-like file in which every row (record set) describes a single measurement or a multi-acquisition measurement. In each recordset there is a field with the username of the operator of the instrument, a field with the location where the measurement took place, the starting and stopping time of the measurement.

To associate the program with a database file you have to open the "Main DB" window and click on the "Change DB" button.

To access the database from the worksheet, plot and surface window you have to click on the "Import Data" button and select the item "From DB" from the drop-down list which is located at the middle of the appeared dialog box.

Next select a recordset and click on a filename from the list at the right of the "Selecting Data" interface.
All the datasets contained in the selected file will be plotted to the preview graph.
By clicking on the "OK" button all the datasets will be plotted to the Plot window or all the corresponding numerical value will be inserted into the worksheet window.
In that case the units are for Y-axis, mV for Analog datasets and MHz for Photon counting datasets while the X-axis is in Kilometers (km).
If you like to output only one dataset then select a filename and click on the "Set as Start" and "Set as Stop" button subsequently. A dialog box appears asking to select the type of analysis. Click on the "Basic Analysis" button.
At the next window select from the left list the dataset you want to export and from the right list select the "None" item. Click the Add button and press "OK".
The selected dataset is previewed at the graph of the "Selecting Data" interface. If you are satisfied click "OK".
At this case the x-axis is the index number instead of the height in km, which actually is the number of channels acquired during measurements.

move to next


Quick Start

When the program starts, them "Main DB" window appears.

Click on the "Change DB" and select a database (a folder which contains a datalog file with the associated datafiles)

Open the Plot window by clicking on the "2D Plot" button at the toolbar of the main window.

Click on the "Import Data" button and select the item "From DB" from the drop-down list, which is located at the middle of the appeared dialog box.

Next select a recordset and click on a filename from the list at the right of the "Selecting Data" interface.

All the datasets contained in the selected file will be plotted to the preview graph.

By clicking on the "OK" button all the datasets will be plotted to the Plot window or all the corresponding numerical value will be inserted into the worksheet window.

In that case the units are for Y-axis, mV for Analog datasets and MHz for Photon counting datasets while the X-axis is in Kilometers (km).

If you like to output only one dataset then select a filename and click on the "Set as Start" and "Set as Stop" button subsequently. A dialog box appears asking to select the type of analysis.
Click on the "Basic Analysis" button.

At the next window select from the left list the dataset you want to export and from the right list select the "None" item. Click the Add button and press "OK".

The selected dataset is previewed at the graph of the "Selecting Data" interface. If you are satisfied click "OK".

At this case the x-axis is the index number instead of the height in km, which actually is the number of channels acquired during measurements.


Main window Toolbar
By using the main window toolbar you can open the four main types of windows that you can work with them during analysis.
1. The main preview DB window
2. A worksheet window
3. A 2D plot window
4. A Surface Plot window.

When you open a window by clicking the corresponding button at the toolbar, the led, which is located on that button, is turned on.

If you close the window the led is turned off. To bring a window at the front, just click at the corresponding button.

There are two buttons more at the toolbar. The "ASCII Conversion" and the "Print..." button. See the corresponding section for more help on these actions:
"Ascii Conversion"
"Print..."


Working with windows
When program starts, the “Main DB” window is opened. The led at the corresponding button at the main window toolbar is turn on.

Open a window
Click on a button at the main window toolbar. If the window is already open then by pressing a button the window is getting frond most.

Close a window
Generaly a window can be closed by the following actions
1. Click on the "Close" or "Exit" button which is located somewhere in the window
2. Press Escape button at your keyboard
3. Click at the "X" icon at the right corner of the titlebar of a window.

If a worksheet window or a plot window is closed all the data that have been imported into it are lost.

Move a window
Please the mouse somewhere on the title bar of the window, hold the left mouse button pressed and move the window

Resize a window
Move the mouse at one edge of an active window. The mouse cursor is changed to a double sized arrow. Press the left mouse button and move the cursor while keeping mouse button pressed. Release when you are satisfied from the shape of the window.

Activate a window
To activate an already opened window just click on the corresponding button at the main window toolbar or just click on the window's toolbar.

Maximize and minimize a window
To maximize or minimize a window just click on the corresponding icons at the right corner of the windows title bar.

If a window has not a title bar then it is a modal one, so it can not change size. With this type of windows you must first close the window in order to go on working.

Not all type of windows can be maximized or minimazed.


Import data

Import data to a window
You can import data to the Worksheet, Plot and Surface windows.
Data can be imported from the working database, from an individual data file and from a single ASCII file. Click on "Import Data" button at the toolbar of each window and select an option from the dropdown list at the appeared dialog box. To append the data into the window check the corresponding check box. Otherwise the data at the window will be replaced.

At the Worksheet window you can import data from the working database, from an individual datafile and from an external ASCII file.
At the Plot window you can import data from the working database and from an individual datafile
At the Surface window you can import data only from the working database.

See also:
Import data to the Plot window
Import data to the Worksheet window


Introduction to datafiles and datasets

The term “datafile” means any file acquired during real time measurements. Each datafile contains some header lines and several columns with data (datasets). The number and the type of datasets depend on the configuration during data acquisition.

The datafiles are binary files so you need the 'Data Preview & Analysis' program to view them or even to modify them.

You can preview all the header lines and the real datasets of a datafile by using the Main DB window

Datafiles are associated usually with a recordset from a table (datalog file), which contains information about the user who performed a measurement, the location, the starting time and the stopping time of the measurement.

Every time the user acquires and saves a single file (during data acquisition) a new recordset is created at the datalog file, which is associated with this datafile.
But when the user performs a multiacquisition process then at the end of each measurement a new recordset is created which is associated with all the datafiles that have been created during that process.


Selecting Datafiles

In order to select datafiles to work with you have first to open the window that the final data you want to be viewed. If you wish to see the numerical values of a datafile or a set of them then select the worksheet window. If you want to plot a datasets or a set of them, which is contained into a datafile, open the Plot window.
Finally if you want to create a surface plot to monitor the time evolution of a dataset or a calculated lidar parameter then open the Surface window.

Then click on the "Import Data" button, which is located in every window, and select the option "From DB" from the drop-down list in the appeared dialog box.
After clicking "OK" the basic interface for selecting datafiles is appeared.

In order to work only with one file just select a recordset from the table, select a file from the file list and then press "Set as Start" and "Set as Stop"

If you want to work with multiple files, select the first file and press "Set as Start" then select the last file from the list and press "Set as Stop".

If the last file is newer (heigher in the list) than the first file an error message appears. The same message appears if these two files belong to different recordsets.

If the error message does not appear, which means that your selection is ok then when you press "Set as Stop" a new dialog box appear which ask you to select the type of analysis you want to do.

(Click at any button to see corresponding help files)


Selecting datasets to work with.

To work with a dataset or a set of them you have first to select the datafiles where it will be extracted from, by using the
"Selecting Datafiles" interface

After that depending on the type of analysis you will select, one of four, quit similar interfaces, windows will appear.

Read more about

Selecting datasets and output parameters for basic lidar analysis
 Selectind datasets and output prameters for Raman analysis
Selectind datasets and output prameters for Signal Ratio analysis
Selectind datasets and output prameters for Ozone analysis


Selecting ouptup parameters for basic analysis

Selecting output parameters for basic analysis

After selecting one or more datafiles from the "Selecting Data" interface click on "Basic Analysis" button at the appeared interface. Then the main interface for selecting output parameters appears.
Initially select one of the available raw datasets.
If the datafile or datafiles you have select contains both analog and photon counting datasets then there is another third option, the Glue dataset otherwise Glue dataset is not available for this wavelength.
Then if you want to average data (in case that you have select multiple datafiles) you have to check to "SUM" checkbox.
If you like the output parameters to be associated with Height (km) as X-values live the "Index as X" checkbox unchecked but if you like to associate the output parameters with the number of channels acquired during the measurement then check this box.
Moreover you have to decide if you want to export parameters with the same spatial resolution as during measurement or you wish to increase the spatial resolution. For example if your acquired data have a spatial resolution of 15 m and consist of 2000 channels (signal range 30 Km) and you want the output parameters to be treated with a spatial resolution of 30 m then select this from the drop-down list named "Decimate Factor". In that case the output parameter will have 1000 channels and each channel value will be the average of two consecutive values of the raw signal.
Finally if you want to export something else except of the raw data the select one or more items from the right list named "Select Plots" and click at the "Add" button.
You can repeat the above process several times if you want to export many parameters for different datasets at once.
Every time you click on the "Add" button a new line is added to the table, which describes the output results.
At the first column is the selected datasets. At the second is a boolen value which describes if you want to average the datafiles of not. Keep in mind that if you have initially selected multiple datafiles and you have selected more than one output parameters then you will have many outputs. For example if you have selected 10 datafiles and you do not wish to SUM them and you have also selected parameters A and B as output, then from a single line of the table you will have 20 datasets as output.
The third column is a boolen value corresponding to the X-values of the output datasets. If is 0 then the X-values will be Height (Km) otherwise is the number of channels.
The forth column is the Decimated Factor and the fifth is the output dataset (if this value is empty then the raw signals will be outputted).
To remove an entry from the table just select it and click on the "Remove" button.

If this window is invoked during selecting data for the "Surface window" then there are some differences
A. The "SUM" checkbox is deactivated
B. Only one item is allowed to be selected from the right list
C. After the first time you click the "Add" button this become deactivated. If you change your mind and you wish to change your selection then select the line from the table and click on the "Remove" table. In that case the "Add" button is activated again.


Selecting output parameters for Raman Analysis

This interface is quit similar with "Selecting output parameters for basic analysis interface".

A. First select one entry from the list at the right
In order to perform Raman analysis you need a pair of datasets, which corresponds to 355 and 387 nm. Depending on your instrument and the specific configuration that you have made during the measurement several options are available. If during data acquisition you have select to acquire only PC signal then only one option is available. In the most general case you have to select between 4 different options
• 355 PC - 387 PC
• 355 Glue - 387 Glue
• 355 Glue - 387 PC
• 355 PC - 387 Glue
Then you have to select if you want to perform Raman analysis to only one summed file or you want to perform analysis to each file that you have select
(It is suggested for weak signals to sum up the files first)
Finally you have to select one or more items from the right list. Depending on the version of your software different options may be available
Then press "Add" button and then click OK
If you have invoke the whole procedure from a plot or worksheet window then you are able to add more than one lines to the table at the bottom.

(Keep in mind that as more inputs are inserted at the table, more memory consuming the program becomes).


Selecting ouptup parameters for Signal Ratio analysis

Selecting output parameters for Singal Ration Analysis
This interface is quit similar with "Selecting output parameters for basic analysis" interface.
Although there are some major changes.
At signal ratio analysis the outputted data are the ratio of the parameters (lines in the table) in pairs.
The lines in the table are grouped in pairs and the output dataset will be the ratio of the first line of the pair versus the second line.
If you remove one line of one pair then automatically the associated second line is deleted.


Main Database window

Introduction
Every time you perform a successful data acquisition process a new entry into a datalog file enters. The datalog is a table with the following fields:
ID: a unique number of the recordset
User: The username of the operator of the instrument
Location: This information comes from the Global configuration file that you use during data acquisition process
Start Date & Time: Start date and time of the measurement
Stop Date & Time: Stop date and time of the measurement (if you perform a successful single data acquisition process these two fields are the same, i.e. start and stop time are the same)
At the main database window there is a table where all the information of the selected datalog file is appeared.
When you select a recordset (row) from that table the file list at the right side of the table is refreshed with the corresponding files. If the recordset corresponds to a single acquisition then the list at the right side of the table has only one item but if the recordset corresponds to a multi acquisition process then the list has many items, which are all the files that have been saved during the process.
(Keep in mind that during multi acquisition process several files are saved to the hard disk each one every xx seconds. xx is the duration of a single acquisition and can be calculated as a product of laser pulse frequency and of the number of bin shots.)
By selecting a filename from the list you can see all the information associated with that file along with raw data, which is displayed at the graph (x-axis is Height in meters, y-axis is mV for Analog Signals and counts/sec for Photon counting signals).
Click on the rows at the black board to see each channel of your measurement.

Depending on the type of your instrument you may have more than one transient recorders with different capabilities (analog, photon counting or both) associated with different wavelength and/or polariztion type.

Tr#: Transient recorder number (0 value assigned to the first Tr)
WaveL: The associated wavelength (depending on the configureation during seting up your intrument)
Pol. Type: Polaraziation type (depending on the configureation during seting up your intrument. There are three types of polarization: o-no poloarization, p-parallel, s-cross)
Type: corresponds to the type of the signal, analog or photon counting.
Scat. Type: Scattering type, elastic: backscatter signals (emitted and detected wavelenghts are the same) and anelastic: Raman signals (emitted and detected wavelengths are different)
Ch.#: Number of channels that is read out of the memory during data acquisition process
Bw: Binwidth
Distance: The total range of the measured signal. It is the product of Bw and Ch.# (keep in mind that the binwidth can be different if you have a zenith angle different from zero)
HV: The hight voltage that you applied to the corresponding PMT during the measurement.
Shots.#: Number of summed laser shots before a file being saved and a signal acquistion stops
R/D(mv): For analog signals this is the selected range of the ADC for Photon Counting signals this is 25*Discriminator_Level/63

Read transient recorder help file for more informations about these topics.

Related topics
 Change DB
Edit Datalog File (DB)
Filter Recordset


CHANGE DATALOG FILE (DB)
To change the dataabase with which you are working, click on the "Change DB" button at the Main DB window

A new dialog appears:

This is actually a configuration window, which informs the program for the type of lidar it was used during measurements which corresponds to the new datalog file (DB) that you select.

First of all type or click on the "open folder" icon to explore and select a directory, which contains the datalog file among with the corresponding datafiles.

Then select from the drop-down list the type of the Transient Recorder
If you intend to use the Overlap Correction function during analysis you have to configure the corresponding parameters at the "Configure Transmitter" Array.
This is an array of element. Each element contains the following parameters:

Telescope Diameter (meters)
Fitting Factor (constant with values from 4-7)
FOV of Telescope (Telescope field of view in rad)
Laser Spot diameter (meters)
If your telescope has more than one transmitting mirrors you have to configure them individually.
For every transmitting mirror you have to set the following parameters
Type: select the type of the wavelength (Visible or Ultra violet)
Laser beam from telescope boundary (m)
FOV of Transmitter (divergence angle of the laser beam)

To add a new element (transmitter) just click on the up-arrow button at the right side of the numerical indicator of the Configure Transmitter Array and find the first empty array element. Then set the parameters.
To remove an element (transmitter) select the one you want to remove by clicking on the up-arrow button (or down-arrow button) at the right side of the numerical indicator of the Configure Transmitter Array. Right-click on the edge of and select "Delete Element" from the appeared short cut menu.
For "Signal to Ratio Analysis" it is suggested to configure first the gain factor parameters section. This is an array of element. Each element contains the following parameters to be set:
Detected wavelength
Polarization type
Gain factor

Important: Each element at this array must correspond to the same value (wavelength and pol. type) you have used during data acquisition at the configuration process (Dataset configuration process, Laser1 section).


Filtering Recordsets
The main table can be filtered by User, Location and Date
Select a User from the corresponding drop-down list.
To filter by location do the same with the Location drop-down list.
These lists are filled up from the values of the corresponding fields from the main table.
The recordsets can be filtered by day, month, year or any compination
e.g. */01/*: Display all the measurements for every year that have been acquired the first month of the year.
01/*/*: Display all the measurements that have been acquired the first day of every month of every year.
*/*/2004: Display all the measurement for the year 2004.


Edit Datalog File (DB)

EDITING DATALOG FILE (DB)

There are several things that one can do with the working datalog file. First call the corresponding interface by clicking "Edit DB" button at the Main DB window.

Your can chouse one of the following actions:
1. Add a recordset
2. Delete a recordset
3. Edit a recordset
4. Connect two datalog files
5. Copy a sellection of recordsets to a new datalog file to distribute to your partners

Edit Datalog File interface


Adding Recordsets to a Datalog file

ADD RECORDSET TO A DATALOG FILE (DB)

There are several things that you have in mind before going on with this procedure.
First make sure that your data files that you are going to associate with a recordset are valid
(You can check this easily by move the file to the right list box select the file and press "Preview". If you see plots to the graph then everything is fine)
Second, you must always remember that every datalog file is associated with an internal configuration file that is created when you select a datalog file. In that file the type of the transient recorder that have been used during the measurement among with other information are saved. So if your data (files) that you are indented to associated with a recordset is acquired with a different instrument then the results of the analysis that you will perform with these files will be wrong. So make sure that its datalog file contains recordsets that corresponds to measurements, which have been performed with the same instrument.

Select a directory where data files reside. If the directory that you just select contains data files (RM*) then the left list displays all the available filenames. Select one or more (by pressing "left shift" at your keyboard) and then press the "Right arrowed" button. All the files while by transferred to the right list.
By pressing "OK" then a dialog box will be opened and asked you for a UserName and Location that will be associated with the recordset.
The rest of the fields (Start and stop date, start and stop time) will be extracted automatically by the filenames.

Keep in mind that every recordset that has more than one file associated corresponds to a multi acquisition process, i.e. consecutive acquired files. So when you add more than one file to the right list make sure that are from are consecutive (belong to a multi acquisition process). You can find this by looking at filenames (filenames are indicative of the time and date).


DELETE A RECORDSET FROM A DATALOG FILE

Double click on a recordset at the "Edit Datalog File" interface and press "Delete" button at the appeared dialog box.
Choose YES or NO when you will be asked if you like to delete all the associated files with this recordset.

Be careful when you delete recordsets and the associated files as this procedure is not reversible. if you deside to delete only the recordset entrly (without the file names) you can always add the recordset at the future by following the "Add Record" procedure.


Edit a recordset

EDIT A RECORDSET FROM A DATALOG FILE

Double click a recordset from the "Edit Datalog File" interface and press the "Edit" button at the appeared dialog box.
A new window appears where you have several options.

You can change the UserName of the recordset by typing a name and pressing the "left arrowed" button
You can change the Global information that are associated with the recordset.
You can delete one or more files that belongs to the selected recordset by selecting one filename and clicking on "Delete File" button at the end of the "File Names list"
Finally you can delete one ore more columns from the file (or files) by selecting an item from the "Cols" list and pressing "Delete" button at the bottom of the list.

If more than one file is associated with the selected recordset (multi acquisition process) every change that you make with this interface affects all the associated files.


CONNECT DATALOG FILES

There are several situations where you want to connect to datalogfiles. For example one of your partners sends you a datalog file with the corresponding datafiles. If the instrument that he uses its the same model with yours then it is easier to connect the two datalogs and to work only with one datalog file instead to have to change datalog file every time that you want to perform analysis to your data and to your partners data.

By pressing "Connect DB" button at the Edit Datalog Interface a common explorer dialog box appears. Move to the directory where the new datalog file with the datafiles resides, open it and then press the "Select Cur Dir" button.

That's all. Now you will notice that at your working database file new records have been added and have been automatically associated with the correct files.

Actually all the data files from your partners directory have been copied to your working directory, so you are free now to delete your partners directory.

Always remember that every datalog file is associated with an internal configuration file that is created when you select a datalog file. In that file the type of the transient recorder that have been used during the measurement among with other information are saved. So if your data (files) that you are indented to associated with a recordset is acquired with a different instrument then the results of the analysis that you will perform with these files will be wrong. So make sure that its datalog file contains recordsets that corresponds to measurements, which have been performed with the same instrument.


Copy Selection from a Datalog File

Create a new datalog file from a selection of a recordsets from the working database

In order to create a new datalog file with part of your database (for example to distribute it to your partners or to use it for reference use) you have first to select one or more (by keeping pressed the "left Shift" button at your keyboard) recordsets and the press the "Copy Selection" button at the "Edit Datalog File" interface. A Save As common explorer interface appears. Choose an empty directory and the click on "Select Cur Dir" button.


Working with plot window

2D Plot Window
Working with plot window

2D Plot Window is one of the three basic windows that you work with.
You can import and plot data, perform smoothing, save them as an ASCII file, print the plot or save the plot as an image file. Moreover you can save a plot window as a binary file, which contains all the curves, and the decoration changes that you might have apply to the window.
Such a file (with file extension .lpl) can be loaded at any time at the future for extra analysis, redecoration or printing.

In a plot you can import several data curves at once by importing datasets from two different sources, a) from an ASCII file, or b) from the working database.

Import data and plotting them...
Save Plot window...
Load Plot window...
Save a plot as an image file...
Export curves as an ascii file...
Remove a curve from the plot...
Delete a band datapoint from a curve...
Delete a band region from a curve...
Smothing a curve...
Spline interpolation of a curve...
Decimate a curve...
Plot the derivative of a curve...
Statistics on a curve...
Edit plot...
Printing a plot...


Importing data to Plot window

Import data to plot window
Data can be imported to the plot window from the working database and from an individual data file. Click on "Import Data" button

at the plot window toolbar and select an option from the dropdown list at the appeared dialog box. To append the data as new dataplots into the plot check the corresponding check box. Otherwise the dataplots at the plot window will be replaced.


Importing data from the working database to Plot window

Import data from the working database to Plot window
Click on "Import Data" button at the toolbar
and select the "From DB" item from the drop-down list. To append the data into the working Plot window as new dataplots check the correspoding check box. Otherwise the dataplots at the window will be replaced.

Go on with the "Selecting Datafiles" and "Selecting datasets and output parameters" interfaces


Import individual data to a plot

Import individual data to a 2D plot window

Select a file by typing the full path or click on the "open folder" icon to explore and select an individual file. This file can be a binary datafile or an ascii datafile. In some cases can be an common ascii file whose data are column structured.
If the program recognize the file type the left list is filled with the available data columns.
To remove an entry in that list you can double click on it

Select the data column that you want to insert to the worksheet.
Click on the X - right arrowed button to set the data set as the source X values for the data plot Your selection will be transfered to the left corresponding text box . To remove an entry click on the X- left arrowed button.
Click on the Y - right arrowed button to set the data set as the source Y values for the data plot Your selection will be transfered to the left corresponding text box . To remove an entry click on the Y- left arrowed button

Click "ADD to PLOT" button to add the following data sets to the lower view box.

If a Y data set (or Y data sets) have been defined and no X datasets have been defined, the program adds the selected Y data sets to the lower view box and creates a data plot association using the Set Values for X configuration.

Any dataplot association defined in the Dataplots List View Box.

To remove a dataplot association displayed in Dataplots List View Box, highlight the desired dataplot association and double click on it.

The Set Values for X Cluster

If no data set is selected for the source X values in a data plot association, the program uses the From and Step text box values to create incremental X values for that data plot association.Type the desired start and increment values in the From and Step text boxes.

If you have select columns from a binary datafile you have to select the correct resolution parameter (which should be the same with the resolution of the transient recorder instrument which have been used for acquiring the selected datafile).

Click "OK" button to create a graph displaying dataplots


Edit Plot

Working with Axis
There are two basic ways to manipulate axis. a) Move the mouse on an axis. When the cursor changes to a hand double click. From the appeared shortcut menu you can apply many changes to the selected axe. b) Click on the "Edit plot" button [image] and select the "Axis" tab.

1. Axis labels
a. Double click on an axis. Type the label for the axis you want at the corresponding text box.

By clicking somewhere on the plot the shortcut menu disappears.
b. Click on the "Edit plot" button [image]. Select "Axis" Tab [image], select the axe you want from the drop-down list at the top of the window and then type the label you wish at the corresponding text box which is located at label section.

To hidde axis label double click on an axe.
Click on the right button [image] of the appeared shortcut menu and uncheck the "Visible Scale Label". Alternatively, click on the "Edit plot" button. Select "Axis" Tab. Select the axe you want to work with from the drop-down list and uncheck the corresponding checkbox.

To check the font size, type, position and the colour of an axe label, click on the "Edit plot" button. Select "Axis" Tab. Select the axe you want to work with from the drop-down list and apply your changes at the corresponding "label" section. To change the positions of the label just move the bar at the button.

2. Change axis color
Click on the "Edit plot" button [image].
Select the "General" Tab.
Click on the "Forground Color" ColorBox
( [image] ) and select the desired color.

3. Format, Precision and Mapping mode
To change mapping mode (linear or logarithmic), precision (0-6)(number of decimal points) and format (decimal, scientific). Double click on an axe. Click on the right button [image] of the appeared menu and select the desired option from the shortcut menu.
Alternatively, click on the "Edit plot" button. Select "Axis" Tab. Select the axe you want to work with from the drop-down list and change the corresponding values.

4. Hidde axis
Double click on an axe. Click on the right button [image] of the appeared menu and uncheck "Visible Scale" option from the shortcut menu.
Alternatively, click on the "Edit plot" button. Select "Axis" Tab. Select the axe you want to hide and uncheck the corresponding checkbox.

5. Change the style, the font size and color of the markers of an axe.
Click on the "Edit plot" button. Select "Axis" Tab. Select the axe you want to work with and change the corresponding parameters at the "Markers" section.

6. Scale axis
To manual scale the axis click on the highest marker value and type the desired value. To scale once the axes to fit the entire data plot click on "Edit Plot" button, select "Axis" tab, select the desired axe from the drop-down list and click the "Scale" button. In order the axis to be auto scale (to fit the entire data plots) every time a new dataplot inserts at the plot, click on "Edit Plot" button, select "Axis" tab, select the desired axe from the drop-down list and check the "Autoscale" Check box. Alternatively, double click on a scale and click on the slider of the appeared shortcut menu. The slider moved to right and the corresponding button appeared pressed.

Autoscale
No Autoscale

7. Swap axis
Click on the "Edit plot" button [image].
Select the "Axis" Tab. and then click on "Swap" button

Caption
 1. Add a caption to the plot window
To add a caption to the plot window click on the "Edit Plot" button. Select the "Caption" tab. Add the text you wish at the corresponding textbox. Change the font size and type. To add a border click on the corresponding colorbox and select a color different to the transparent [image]. To change the background color of the caption click on the corresponding colorbox and select the desired color.

To remove the caption just unchecks the "Visible" checkbox.

2. Move the caption of a plot window
Press and hold the "Ctrl" button at your keyboard. Left-Click at the location you want to move the caption.

Plot Legend

To appear or hide the plot legend
click on the "Edit plot" button. Select the "Plots" tab and check or uncheck the corresponding checkbox.

To move the Plot legend press and hold the "Ctrl" button at your keyboard. Right-click at the location you want to move the plot legend.

Change backround color
Click on the "Edit plot" button [image].
Select the "General" Tab.
Click on the "Background Color" ColorBox
( [image] ) and select the desired color.

Add comment to plot window
Click on the "Edit plot" button [image].
Select the "General" Tab. Type your comment into the available textbox

Working with dataplots
Every time new data are imported new dataplots are plotted into the plot.
To remove a dataplot just select the corresponding item of the "Available Plots" list at the toolbar and click on "Delete Plot" button.

1. Change the type of a dataplot
Curve type can be changes by the two following ways
a. Move mouse cursor over the plot legend. Click and move you mouse over the "Common Plots" option at the appeared shortcut menu. Select one of the six available types of curves (see labview manual for more info).

b. Click on the "Edit plot" button [image]. Select the "Plots" Tab. Select the plot, from the drop-down list, which you want to change type and finally select the type of curve from the corresponding list (line, point, point & line)
If you select "Point" make sure that the symbol you have select is deferent from [image].

With the same procedure you can change the color, the line or point type and the line or point width of one dataplot.

2. Change the name of a dataplot
Click on the "Edit plot" button. Select the "Plots" tab. select the plot, from the drop-down list. Replace the text into the corresponding textbox (name).

3. Hide a dataplot.
Click on the "Edit plot" button. Select the "Plots" tab. Select the plot, from the drop-down list. Uncheck the "Visible" checkbox.


Save the Plot Window

Save a plot window

A plot window can be saved as a a binary file with lpl extension. Then this file can be opened at any time within 2D plot window interface. This file contains all the curves and the decoration changes that you migh have applied to the window.

Click on the "Save" button at the toolbar.

A common "Save as" dialog box appears. Type a valid filename and press "Save" button. If you select an existing file this will be overwritten.


Save a plot as image file

Click on the "Save plot as image" button

A common "Save as" dialog box appears.
Select a folder, type a filename and click "Save" button
If a file with the same filename exists will be overwritten


Export curves as an ascii file...

Click on the "Save as Txt" button at the toolbar.

A new dialog box appears

Type a valid filename (with full file path) or click on the "open folder icon" to open a common "Save as" dialog box appears.

Select the sympol (. or ,) that you want to be used as decimal separateror or use the default option which is the system default decimal separator sympol.

Select sympol to seperate the columns. Use one of the predefined (Tab, ; , space) or create a custom one.

If you select the last option a text box appears. Type inside it the sympols you want to use as column seperator.

Every dataplot corresponds to two columns at the saved file. The first one is X-values and the second one is Y-values.


Load a saved plot window

Load a plot window

A plot window can be saved as a a binary file with lpl extension. Then this file can be opened (loaded) at any time within 2D plot window interface. To load a plot file just click on the "Load" button at the toolbar

Click on the "Save" button at the toolbar.

A common "Open" dialog box appears.
Select the file you want to load and press "Open" button.
All the previously dataplots and other changes you may have already apply to the plot window will be lost.


Statistics on a curve

Select (make active plot) a plot from the list which displays all plotted datasets,
and you want to add to the plot a smoothed version of it.
Click on the "Statistics" button

A window appears with the following statistics:
Maximum value
Minimum Value
Mean Value
Standart Diviation
Variance

To perform statistics on a region of a curve press F3 define the region by the two cursors (red one corresponds to starting point and the blue one corresponds to end point).
Click on the "Statistics" button.
To move one press again F3 to remove the cursors.


Spline interpolation of a curve

Select (make active plot) a plot from the list which displays all plotted datasets.
and you want to interpolate it.
Click on the "Save plot as image" button

Between each point a new one is inserted with spline interpolation method (see graph bellow)

The red point are the initial dataplot while the black ones are the results of spline interpolation

This function works with dataplots which has less than 16k points. This function are memory demanding so use it with dataplots which have not many data points.


Smoothing a curve

Smothing a curve

Select (make active plot) a plot from the list, which displays all plotted datasets,
and you want to add to the plot a smoothed version of it.
Click on the "Filter plot" button

A new dataset is plotted to the plot, which corresponds to the smoothed version of the active dataset.

Types of filters
From the corresponding dialog box the filter type can be chosen.

A. Average
Specify the number of points that control the degree of smoothing. The smoothed value at index i is the average of the data points in the interval [i-(n-1)/2, i+(n-1)/2].

B. Polynomial
A local nth degree polynomial fit is applied to the neighbouring datapoints surrounding a particular point in the dataset and the 'correct' value of the datapoint is taken as the value of the polynomial at that point. The polynomial fit then moves on to the next point and so a smoothed version of the data is mapped out. There are two fitting parameters for the polynomial, these are its degree (Polynomial Order Parameter), which determines how 'flexible' the fitted curve can be, and the fit window (Number of Datapoint Parameter), which is the range of points on either side of the point of interest which are included in the fit. Some care has to be taken in balancing these two parameters so that the true shape of the data is followed by the curve fit but unwanted noise is smoothed out.

C. Advanced Polynomial
In this kind of filter fit the Polynomial Order Parameter is fixed at 2. But the fit window (Number of Datapoint Parameter), which is the range of points on either side of the point of interest which are included in the fit, can change from N1 to N2. The way of increase can by determined by the function type parameter [y=x, y=x*x, y=exp(x), y=exp(x*x), y=ln(x)]

D. Advanced Binomial
In the binomial filter each point in the dataset is replaced by a value equal to the weighted average of some of the points nearby. Each point in the binomial filter is given a weighting according to the binomial distribution so that points further from the point of interest have a decreasing effect. For example, a three point binomial filter has the following weighting coefficients: 0.25, 0.50, 0.25. The only parameter that can be chosen in binomial smoothing is the width of the smoothing window. This window can be determined similar to the way of Advanced Polynomial Filter.


Delete a curve

Delete a curve from the plot window

Select (make active plot) the plot that you wish to be removed, from the list which displays all plotted datasets,
.
Click on the "Delete Active plot" button


Add the Derivative of a curve

Add to Plot the Derivative of a curve

Select (make active plot) a plot from the list which displays all plotted datasets.
and you want to interpolate it.
Click on the "Save plot as image" button

A new dataset is plotted to the plot which corresponds to the derivative of the active dataset.


Printing plot

Printing the plot window
Make the 2D plot window active.
Click on the "Print..." button at the main window toolbar
Select the appropriate item on the drop-down list.
Click on "OK" button.
A common "Print Setup" dialog box appears.
Select the printer, type of oriantetion and print.

The resulting page contains the plot (axis, data, caption and legent) and a footer line with the current date and time


2D Plot Toolbar

2D Plot Window Toolbar

Import data: By clicking on this button a new dialog box appear asking to define the source of data you want to plot (Read more).

Load plot: Load a previously saved plot window (filename.lpl)

Save plot: Save the plot window to a file. This file is a binary file with lpl extension. You can see and work with this type of files only with 2D plot window interface.

Save as txt: Exports plotted datasets as an ASCII file. Every dataplot corresponds to two columns at the saved file. The first one is X-values and the second one is Y-values.

Edit plot: Edit the plot window, scale the axis change plot type, background colors etc.

Save plot as image: Save the plot as an image file (jpg image type)

Add derivative of active plot: Calculates the derivative of the active dataplot and adds this data to a new dataplot. The derivative is taken by averaging the slopes of two adjacent data points.

Filter active plot: Smoothing the active dataplot by applying a filter. A new dataplot is added to the plot window.

Decimate: Decimates the active dataplot by the decimating factor and the averaging binary control. The number of elements in dataplot must be greater than or equal to the decimating factor. Averaging specifies how the Decimate routine handles the data points (x, y). When averaging is set to FALSE, every decimating factor point is kept from (Y(X)). When averaging is set to TRUE, each output point in Decimated dataplot is the mean of the decimating factor input points.

Delete selected point (x, y): Deletes the selected point from the active dataplot (selected dataplot at the "Available Plot" list). To delete a specific point at an active dataplot press F2 at your keyboard. Then move the black cursor, which is appeared just after pressing F2, at the desired point and click on the button. Press again F2 to remove the cursor.

Delete selected area: Delete part of the active dataplot (selected dataplot at the "Available Plot" list). Press F3 define a region by moving the red cursor (starting point) and the blue one (ending point). Click on than button. Press again F3 to remove the cursors and go on.

Spline interpolation of active plot: Spline interpolation of the active dataplot. Works with dataplots, which has less than 16k points. This function is memory demanding so use it with dataplots, which has not many data points.


Worksheet introduction

The worksheet is one of the basic types of windows available in the analysis program. To open the worksheet window just click on the corresponding button on the main window.
Data import, manipulation exploration and analysis can be performed within the worksheet window.

Deleting Data
To clear the entire contents of a worksheet, Right click on the Worksheet. Select "Empty Table" from the appeared shortcut menu.
To delete a row click on any cell of the desired row, right-click and select delete row from the appeared shortcut menu.
To delete multiple rows select the desired rows. Pres the left mouse button and move up or down the mouse while holding the button pressed. Release and click on "Delete selected rows" button at the worksheet toolbar.
To delete a column click on the desired column. Right-click and select delete column from the appeared shortcut menu
To delete multiple column, select them by pressing and holding the left mouse button move left or right, release and click on the "Delete Selected column" at the worksheet toolbar.

Exporting Data
To save your worksheet data to an ASCII file, click on the "Export to ASCII" button on the worksheet toolbar. Then select the desired option for Decimal Separator and column delimiter. Type a valid filename (with path) or click on the yellow open folder icon to select an existing file or give a unique filename with txt extension (if you select an existing file this file will be overwritten)

Changing the Column Width
To change the width of a column, de-select the column if it is currently highlighted and then drag the edge of the column heading.

Insert Column
To add a single column to a specific location in the worksheet, click on a column, right-click and select. Insert column before from the shortcut menu.

Insert Row
To add a single row to a specific location in the worksheet, click on a row, right-click and select Insert Row before from the shortcut menu.

Entering Data using the Keyboard
To enter data into the worksheet, type the value in the desired cell. Press ENTER to move to the next cell in the same column, or press TAB to move to the next cell in the next column. Alternatively, click with the mouse in the next cell you want to enter a value (you are not limited to a neighbouring cell).
If you make an error when typing data, or want to change a value in a cell, select the cell and type the correct value.
To edit a cell value, select the cell and then press F2 or click at the desired position to locate the cursor (to prevent overwriting).

Editing a Cell Value
DELETE: Delete one value to the right of the cursor, or delete all highlighted values.
BACKSPACE: Delete one value to the left of the cursor or delete all highlighted values.
HOME: Move the cursor to the leftmost position in the cell.
END: Move the cursor to the rightmost position in the cell.
Left Arrow: Move the cursor one character to the left.
Right Arrow: Move the cursor one character to the right.

Controlling the display properties of a column
By default, column names are empty. You can, however, rename a column by clicking on the column heading and typing a name. Alternatively, select a column and click on "Edit Col" button on the worksheet toolbar. Type a name at the textbox "Header".
To change the Numeric Display Format Types of a column open the "Edit Col" window and select the desired item at the corresponding list. Two basic types are available: decimal (F-notation) and scientific (E-notation) notation.
To control the display of the number of digits after the decimal place. Type the desired decimal place value (n) in the associated text box (precision). This value determines the maximum number of digits displayed after the decimal point.

Adding a new column with mathematically transformed values.
To create a new column using basic mathematical expressions just click on the "Set first empty col values" button on the worksheet toolbar. The Set Column Values Dialog Box appears
Type a valid expression in the text box. To refer to the data values of a filled column use c1, c2, and c3 notation.
(Consult labview manual for available Functions and operators)

The variable i can be used in an expression to indicate the row number.

Click the OK button

Selecting Table Cells, Rows, or Columns
Click a cell and drag the mouse to select multiple cells. If you move the cursor outside the visible contents of the table, the table scrolls and extends the selection. A border appears around the cells you select.

Complete the following steps to select an entire row or column of data.

Click the left border of the row or the top border of the column. An arrow cursor appears when the tool is positioned properly.

Drag the cursor across the height of the row or the width of the column.

To select all the data in a table, use the Operating tool to click the upper left corner of the table. A double arrow cursor appears when the tool is positioned properly.

Statitistics on a Column
Select an entire column or part of it at click on "Statistics" button at the toolbar.
A window appears with the following statistics:
Maximum value
Minimum Value
Mean Value
Standard Deviation
Variance


Importing data into the worksheet window

Import data into the worksheet window
Data can be imported from the working database, from an individual data file and from a single ASCII file. Click on "Import Data" button at the worksheet window toolbar and select an option from the dropdown list at the appeared dialog box. To append the data into the worksheet check the corresponding check box. Otherwise the data at the worksheet will be replaced.


Importing data from the working database

Import data from the working database
Click on "Import Data" button at the toolbar and select the "From DB" item from the drop-down list. To append the data into the working window check the correspoding check box. Otherwise the data at the window will be replaced.

Go on with the "Selecting Datafiles" and "Selecting datasets and output parameters" interfaces


Import individual datafile to a worksheet

Import individual data to a worksheet

Select a file by typing the full path or click on the "open folder" icon to explore and select an individual file. This file can be a binary datafile or an ascii datafile. In some cases can be an common ascii file whose data are column structured.
If the program recognize the file type the left list is filled with the available data columns.
To remove an entry in that list you can double click on it or to select it (or more than one by pressing SHIFT key) and click on the "Clear Selected" button which is located at the bottom of that list.

Select the data columns that you want to insert to the worksheet. Click on the arrowed button. Your selection will be transfered to the left list which contains the data columns is eventually filled your worksheet. To remove an entry in that list you can double click on it or to select it (or more than one by pressing SHIFT key) and click on the "Clear Selected" button which is located at the bottom of that list.

If you have select columns from a binary datafile you have to select the correct resolution parameter (which should be the same with the resolution of the transient recorder instrument which have been used for acquiring the selected datafile).

Finally click on "OK" button.


Import data from a single Ascii File

Click on the "Import Data" button at the toolbar of a worksheet window, select from the corrosponding drop-down list the "Ascii" item and click OK.
(This functin is not supported for 2D plot window and surface plot window)

At "Import Ascii File" interface select the type of the delimiter that have been used to the ascii file you want to import. Enter the number of header lines and then click on "Browse" button. An Open dialog box appears.Select the file and click "OK". If the program open the file suggesfully and delimiter, No of Header Lines parameters have been entered correctly, then the data will appear correctrly at a Previou Table. Finally click "OK" to import the data to the worksheet window.


LIDAR Analysis to a Column

1. Select a column (see more for selecting columns)
2. Click on the "Lidar Parameters Calculation" button

3. Select one or more items from the list at the appeared dialog box and press "OK"

4. Configure parameters at the appeared Dialog box

Altitude and Binwidth (spatial resolution) in meters. Zenith Angle in rads, Tzero:Groud temperature in Celsius, Pzero: Atmospheric presure at groud, Wavelength in nanometers.

5. Perform the analysis at the appeared window and click "OK" button.


Plotting from a Worksheet

Click on the "Plot" button at the toolbar

The next interface appears.

At the right there is a list with all available column of the worksheet. Select the column that you want to assign as X values and click on the "Add As X" button. Then select another column and click on the "Add as Y" button. Then click on the "Add" button. You can repeat the above process several times.
Every time you click on "Add" button a new line is added to the table. To remove an entry of that table, select an entry and click on the "Remove" button.
Instead of using a column as X values you can create one by configuring Xo and Step parameters at the corresponding controls.
If you wish to append the dataplots to already existing ones then check the "Append" checkbox. Otherwise all dataplots, which already exist at the plot window, will be overwritten.


Glue to columns

Click on the "Glue" button at the toolbar

Assign a column as an analog dataset by selecting a column from the right list and click on "Add An" button.
Assign a column as a Photon Counting dataset by selecting another column and clicking on "Add PC" button
Change the values for max and min toggle frequencies and click on the "Refresh" button to preview the results.
If you are satisfied click "OK"
In case you want to change the assigned column click on "Remove" buttons and start again.
Finally if you like the outputted glued dataset to be calculated from an automated process instead of using the min and max values have been entered into the corresponding controls, just check to "Auto Values" checkbox.

Learn more about Gluing datasets


Printing from the worksheet

Printing from the worksheet window
Make worksheet plot window active.
Click on the "Print..." button at the main window toolbar
Select the appropriate item on the drop-down list.
Click on "OK" button.
A common "Print Setup" dialog box appears.
Select the printer, type of oriantetion and print.

The resulting page contains all the data which have been inserted into the worksheet window.

Keep in mind that if you have instert six datasets with 4000 values then the resulting printed pages (A4 sized) are more than 170.


Statistics on a column

Select an entire column or part of it at click on "Statistics" button at the toolbar.
A window appears with the following statistics:
Maximum value
Minimum Value
Mean Value
Standard Deviation
Variance


Working with surface window

Surface window is one of the three basic windows that you work with.

Every surface plot is associated with a table of imported data. The number of rows corresponds to the Y-axis (height), the number of columns corresponds to X-axis (time) and the value of each cell is the Z-axis (raw data or lidar parameter).
You can import raw data or lidar calculated parameters and watch the temporal evolution of them. You can import and plot data, save them as an ASCII file, print the plot or save the plot as an image file. Moreover you can save a plot window as a binary file, which contains all the data, and the decoration changes that you might have apply to the window.

If you have import raw data you can even perform lidar calculations directly from the Surface window.

Import data and plotting them...
Save Surface window...
Load Surface window...
Save surface window as an image file...
Export data as an ascii file...
Clear the surface window...
Edit Surface Graph...
Printing...

Read also
Calculate lidar parameters directly from the surface window
Working with Image Preview window


Import data to the Surface window
The whole process consist from two basic steps. At first one you select the files (timeline in case of the Surface window) you wish to work with and at the second step you select the output parameters you want to plot or to import as numerical data into a worksheet. In the case of the Surface plot only one output parameter is allowed.

Click on "Import Data" button at the toolbar. At the appeared "Selecting Data" interface select a recordset, then select a filename from the list to the right and click on "Set as Start" then select another filename (from the same) recordset and click on the "Set as Stop" button. Choose the type of analysis from the appeared dialog box. Select then the output parameter and click "OK" button. The program then starts collecting data and when this is done the graph at the front panel of the "Selecting Data" interface updated to a surface graph. If you are satisfied press "OK" otherwise change the starting or stopping times or just press the "Set as Stop" to change the outputted parameter. At any time you can click on "Cancel" button to quit the process.

In case of the Surface window, for every type of Analysis only one output parameter is allowed. The 'Add' button at the "Selecting output parameters" interfaces is disabled after the first click. To enable again and to change the output parameter you have to remove first entry at the "Output Parameters" table. Moreover the "Sum" checkbox is dissabled.

Extending the timeline of a Surface window
To extend the timeline of a surface window just import data from different consecutive recordset (multiple data acquisitions)
You can move backswords or forward at time. If there are time intervals without data then black (or the color you have select) strips appears on the Surface window.
Keep in mind that you must always import data of the same type (same output parameter) otherwise the results lost any physical meaning.


Save the Surface window

Save Surface window

A surface window can be saved as a a binary file with srm extension. Then this file can be opened at any time within Surface window interface. This file contains all the data and the decoration changes that you migh have applied to the window.

Click on the "Save" button at the toolbar [image] .

A common "Save as" dialog box appears. Type a valid filename and press "Save" button. If you select an existing file this will be overwritten.


Load saved surface window

A surface window can be saved as a a binary file with srm extension. Then this file can be opened at any time within Surface window interface.
To load a saved surface window just click on the "Load" button

Click on the "Save" button at the toolbar

A common "Open" dialog box appears. Type a valid filename or locate a file with srm extension and press "Open" button.

All previously dispalyed data on the Surface window will be lost.


Save Surface window as Image

Save Surface window as an Image

To save surface window as image click on the "Preview Image" button .

A surface window can be saved as a a binary file with srm extension. Then this file can be opened at any time within Surface window interface.
To load a saved surface window just click on the "Load" button

A new window appear (Image Preview).
Select form Menu File-Save as... A common "Save As.." Dialog box appears. Type a filename or select an existing one and clicl on Save as button
The image file will be a bitmap file.


Calculate lidar parameters directly from the surface window
Once you have imported ray data into the surface window the calculation of lidar parameters is possible.
Click on the "Lidar Parameter calculation" button

Select on item (you wish to be calculated) from the list at the appeared dialog box and click "OK".
Work on the appeared analysis interface and click on "OK" button.


Export data from the surface window as ASCII

To export data from the surface window as ascii file, just click on the "Save Graph as Ascii" button

A worksheet like ascii file will be created.

Keep in mind that the resulting file can be very large as soon as the timeline of you graph is large.

Read more.
Exporting data...


Edit Surface Graph

Working with Axis
Click on the "Edit graph" button [image] and select one of the three "Axis" tabs.

1. Axis labels
Click on the "Edit graph" button [image]. Select the axis Tab you want to work with and then type the label you wish at the corresponding text box which is located at label section.

To hidde axis label double click on an axe.
Unckeck the corresponding checkbox.

To check the font size, type, position and the color of an axe label, click on the "Edit graph" button. Select the Axis Tab you want. Apply your changes at the corresponding "label" section.

2. Change axis color
Click on the "Edit Grah" button [image] .
Select the "General" Tab.
Click on the "Forground Color" ColorBox
( [image] ) and select the desired color.

3. Format, Precision and Mapping mode
Click on the "Edit Graph" button. Select the "Axis" Tab you want to work with. Change the corresponding values.
This changes is available only for Y and Z axis.

4. Hidde axis
Click on the "Edit Graph" button. Select "Axis" Tab. Uncheck the corresponding checkbox.

5. Change the style, the font size and color of the markers of an axe.
Click on the "Edit Graph" button. Select "Axis" Tab. Change the corresponding parameters at the "Markers" section.

6. Scale axis
To manually scale the axis click on the highest marker value and type the desired value. To scale once the axes to fit the entire dataplot click on "Edit Graph" button, select the "Axis" tab you want to work with and click the "Scale" button. In order the axis to be auto scale (to fit the entire dataplots) every time new data inserted at the graph, click on "Edit Graph" button, select the "Axis" tab you want to work with and check the "Autoscale" Check box.

Caption
 1. Add a caption to the plot window
To add a caption to the graph window click on the "Edit Graph" button. Select the "Caption" tab. Add the text you wish at the corresponding textbox. Change the font size and type. To add a border click on the corresponding colorbox and select a color different to the transparent [image]. To change the background color of the caption click on the corresponding colorbox and select the desired color.

To remove the captions just uncheck the "Visible" checkbox.

Keep in mind that if you like to interpolate the graph as an image (see Image Preview section). Do not insert a caption because it will interpolate also.
In that case just add text to the image with double click on it (see Image Preview section)

Change backround color
Click on the "Edit Graph" button.
Select the "General" Tab.
Click on the "Backround Color" ColorBox
( [image] ) and select the desired color.

Add comment to plot window
Click on the "Edit Grah" button.
Select the "General" Tab. Type your comment into the available textbox

 Change color table
Click on the "Edit Graph" button [image] .
Select "Z-Sc" Tab and click on the "Color Table" button.
With the same procedure you can change the color, the line or point type and the line or point width of one dataplot.
Select one of the predefined color schemes from the drop down list or make a custom one by clicking on the "Custom" button and
associating values to colors at the left array.

To delete a value to color association right click on the edge of an element and select "Delete element" from the appeared shortcut menu.

To enter a new value to color association just right click on the position you want the value to be entered and select "Insert Before" item from the appeared shortcut menu.


Working with Image Preview Window

You can open image preview window from the surface window by clicking the "Preview Image" button

when it’s opened it displays a snapshot of the Surface graph.

Open a bitmap file
By using this window you can preview any bitmap image by selecting "Open" from the File menu.

Interpolate part of an image
To interpolate part of an image you have to define the area where interpolation will take place. To do so first define the left upper corner by pressing <Shift> key and clicking, then define the right-bottom corner by pressing <Ctrl> key and clicking. Then select the degree of interpolation from the "interpolate" menu.0=no interpolation, 5=maximum interpolation.

Undo your interpolation
To undo the interpolation action, or any text you have import, select "Revert" for File menu.

Add Text on the image
Double click at the place you want to import text. Fill the corresponding textbox at the appeared dialog box. Change color size and type and click "OK" button.

Change background color
To change background color of a surface graph preview, select Option from file menu. Then select the desired color from the appeared dialog box. Click "OK" button and then select "Revert" from the File menu.


Glue dataset Introduction

GLUE Dataset

The idea behind gluing together analog and photon counting data is that, there is a region (defines by the min and max toggle frequencies) where both analog acquisition and photon counting are valid. For higher frequencies the photon counting becomes nonlinear. For lower frequencies the analog data has less SNR than the photon counting and suffer from differential nonlinearity of the ADC.

minimum toggle frequency
Is the frequency that below this the photon counting data is used only, since the analog data has worth SNR and the differential nonlinearity of the ADC starts to influence the data.
Between max and min. toggle frequencies it is assumed that both the analog and the photon counting methods are valid.

maximum toggle frequency
Above this frequency the analog data is used, since the photon counting data start to be nonlinear.

The units of glued data are mV.

see also...


GLUE Interface

With this interface you can change min and max toggle frequencies and to observe the resulting curves at a graph. When the interface is opened the graph is empty. Changing for the first time min and max frequency, four colored curves appear. The white one corresponds to the analog data, the red one to the photon counting data, the green one to the calculated glue data which corresponds to the min and max values that you have entered, and finally the blue curve which is an automated suggestion which corresponds to the values minTf and maxTf. These values are calculated internally by an automated procedure.
If you have select to work with multiple files then there are two options to proceed.
The first one is two use the same values for each dataset (from each file) that you just entered at min and max toggle frequencies. The second one is to leave the program to calculate the best values for each dataset. In order to choose the second method you have to check the "Auto" check box.
Although the automated process works fine in the most cases, there are a few conditions where the automated process does not give correct results and it is suggested to use the first method. Such a condition is when there is structure in raw signals at very high altitudes.


Data Analysis

Follow the lings below to learn about deferent type of analysis. Depending on the software version you own, some types of analysis are unavailable.

Basic Lidar Data Analysis
Raman Analysis
Ozone Analysis
Signal Ratio Analysis


BASIC LIDAR ANALYSIS

Every time you have select from the corresponding "Selecting output Parameters" interface to plot or export numerical values of a lidar parameter into a worksheet, a new interface appears (Take a look here...).

Within this window you can define the range of interest (a range of the raw signal you wish to work with), to subtract the background, to supply smoothing filters to signal and to calculate and preview several lidar parameters.
This is interface is a modal window which means that you have to close it first before accessing other windows.

At the top of the window there is a blue bar where general information are displayed about the dataset working with it.

Next to it there is a drop-down list. If you have previously select multiple datafiles without "SUMMED" them, then each item on the list corresponding to the selected dataset (e.g.: 532, Analog, no polar) of each datafile.

At the first graph (top) the raw dataset is displayed. At the second one the selected parameter of the list, at the right side of the graph, are displayed. At this graph more than one parameters can be displayed simultaneously by selecting more than one items (<Shift>+Click at the list).

Subtract background
There are two support methods for calculating and subtracting background noise, the average method and the noise file method
A. Average method
Move the two yellow colored cursors (Bround1 & Bround2) and define the range where an average value is calculated and is subtracted from the signal.
Alternatively you can type the values (First channel and length) at the corresponding controls (Background section).

First Channel
Length (Number of Channels

B. Noise file method
To use this method you have to check the corresponding checkbox. Then type the filename or click on the "open filter" icon to open explore window locate the noise file and click open. Then select the dataset of the noise file, which corresponds to the same dataset that you are working with.

Define the range of interest
Move the two red cursor (Init_Index and Final_Index) of the first graph and define the range of interest. Notice that while moving these two cursors the x-scale of the second graph is updated automatically.
Alternatively, you can type the index values at the corresponding parameters.

First Channel
Last Channel

Applying Correction function
1. Dead time Correction function
To apply dead time correction function at the working signal just check the corresponding check box
Keep in mind that dead time correction should be applied only to photon counting signals.
(Read more...)
2. Overlap Correction function
To apply the overlap correction function just click the corresponding check box
Keep in mind that you have correctly configure your database during "Change DB" operation in order this function produce correct results.
(Read more...)

Save configuration parameters of an analysis session.
If you want to set as default all the parameter values that you have configure then check the "As Default" checkbox and click on the "Save" button. All the values will be saved in an ASCII file named config.ini.
Moreover you can save the values into a file with a custom filename (always with ini extension) and use it at any time in the future or save it as a reference to an analysis. Uncheck the "As Default" checkbox and click on the "Save" button. In that case a "Save As" common dialog box appears. Select a file or type the name for a new one and click "Save".

To load a configuration file that has been saved at the past, click on the "Load" button. An "Open" common dialog box appears. Locate the file, select it and click "Open".

 Lidar calculated Parameters

Range Corrected Signal
A range correction is applied in order to compensate for energy loss with distance.
R(z)=S(z)*z^2 where z is the height in kilometres and the S(z) is the raw signal (or the signal after applying correction functions) with subtracted background.

Natural logarithm of R(z)
LR(z)=ln(S(z)*z^2)

Filtered DLR(z): fDLR(z)
To apply a smoothing filter to the DLR(z) use the Filter 2 Parameters. Move the two red cursors of the second graph and define three regions (zones) of the signal. The degree of smoothing at first zone defined from N1 parameter, at second zone from N2 and at third zone from N3. The smoothed value at index i is the average of the data points in the interval [i-(Nj-1)/2, i+(Nj-1)/2]. where j=1,2,3 depending on i value.

Derivative of filtered LR(z): DfLR(z)
This parameter is the derivative of the filtered natural logarithm of R(z)

Filtered DLR(z): fDLR(z)
To apply a smoothing filter to the DLR(z) use the Filter 2 Parameters. Move the two red cursors of the second graph and define three regions (zones) of the signal. The degree of smoothing at first zone defined from N1 parameter, at second zone from N2 and at third zone from N3.. The smoothed value at index i is the average of the data points in the interval [i-(Nj-1)/2, i+(Nj-1)/2]. where j=1,2,3 depending on i value.

Derivative of filtered LR(z): DfLR(z)
This parameter is the derivative of the filtered natural logarithm of R(z)

Filtered DfLR(z): fDfLR(z)
Actually this is a double filter. First a smoothing filter applied to LR(z) (Filter2), then the derivative is calculated and finally the resulting signal is smoothed again by applying a second time the Filter2.

Backscatter Coefficient for Molecular atmosphere (Rayleigh) Br
This is the molecular contribution to the total backscatter coefficient. It is calculated according to standard atmospheric models (U.S. Atmosphere, 1976, Measures 1984).

Correlated Backscatter Coefficient: NBr
This backscatter coefficient includes the expontial decay of signal duo to atmosphere and is calculated based on the following equition:

where Rayleight parameters are calculated based on standart atmospheric models, in a region where you asume that the atmosphere is free of aerosols (Clear molecular atmosphere). This region is defined by the parameters Min R (Km) and MaxR (Km)

If you set these values outside of the range of interest then the error indicator turn to red

Plot this parameter with the NR(z) to check your lidar instrument alignment.

Correlated range corrected signal: NR(z)
This is the normalized range corrected signal. You can plot this parameter simultaniously with the NBr in order to check you lidar system alignment.

Filtered correlated range corrected signal: fNR(z)
To apply a smoothing filter to the NR(z) use the Filter 3 Parameters. Move the two green cursors of the second graph and define three regions (zones) of the signal. The degree of smoothing at first zone defined from N1 parameter, at second zone from N2 and at third zone from N3. The smoothed value at index i is the average of the data points in the interval [i-(Nj-1)/2, i+(Nj-1)/2]. where j=1,2,3 depending on i value.

Total backscatter coefficient: Bk
This is the total backscatter coefficient calculated using klett algorithm.
According to klett algoritm you have to set three parameters
K-ref (km): This is a reference height where you asume that the contribution of aerosols to the backscattering signal is neglictable. All the signal is backscatted by molecules.

If you set this value outside of the range of interest then the error indicator turn to red

and nothing is plotted to the second graph.

RFDSK: Backscatter ratio (B/Bray), according to the literature this parameter takes values between 0.67 and 1, and is depend on the chemical composition of the aerosols
Suggested value is 1.

Lidar Ratio: B(z)/A(z), according to experimental results the lidar ration is a function of height and it takes values between 2 and 100 (Ackermann, 1998).
At Klett algorithm the lidar ratio is consider as constant.

Aerosols backscatter coefficient: Bkr
This is the total backscatter coefficient (Bk) minus the molecular contribution (Br)

Corrected Aerosols backscatter coefficient: B
This is the Bkr where all negative values have been replaced with zero.

Extinction Coefficient: A
Is calculated by the following equation: B(z)=LidarRatio x A(z)^RFDSK


Raman Analysis Introduction

RAMAN ANALYSIS QUICK GUIDE

In order to perform Raman Analysis you have first to open a worksheet window, a plot window or a surface window.
After that you should import some data from the working database.
The first step in that process is to select the datafiles you want to work with from the
"Selecting datafiles interface"

You have to select a recordset from the database which contains Raman channels. This means that during data acquisition you have asked for detection of 387 nm wavelengths for that measurement.

When you click on the "Set As Stop" button at the above-mentioned interface. Then a dialog box appears asking you the type of analysis you want to perform.
If you have purchase the "Raman Analysis" licence and the previously selected recordset contains valid Raman channels, the button "Raman Analysis" is active (otherwise is deactivated).

Click on the "Raman Analysis" interface.

A new dialog appears where you have to select the outputted parameters from the Raman analysis you will perform later on, and with what datasets from the selected datafiles you want to work with. See more about selecting datasets and outputted parameters for Raman analysis here.

After that the basic analysis interface appears asking you to select the range of interest, to subtract background and to filter the natural logarithm of range corrected signal. Normally this have to be done only two times, one for the 355 nm wavelength and one for the 387 nm wavelength.

Make sure you select the same range of interest for both wavelengths.

The last step is to work with the Raman Analysis interface.
There you have to filter the Signal Ratio parameter with filter 1, the Diff RS2 parameter with filter 2 and the extinction coefficient with filter 3.
Preview the results of the analysis at the second graph and if you are satisfied click on the "OK" button.

Read more about "Raman theory"
Read more about "Raman Analysis interface"


Select datafiles for Raman Analysis

Step 1: Select datafiles to work with

1. Open a worksheet, plot or surface plot window

2. Import data from your database

3. Select a record from database window (selecting datafiles...)

Make sure that the recordset you have select contains valid raman datasets.

4. Select Start File and Stop File

it is suggested to sellect many files and to perform SUM analysis in order to decrease the signal to noise ratio.

(Remember that Raman Channels are weak signals)


Raman Analysis Step by Step 2

Step 2: Select type of analysis

If your recordset that you just select before contain valid Raman Channels then Raman Type of analysis is active at the following interface. Otherwise this option is deactivated

(if you do not have purchase the license for Raman Analysis this option is always deactivated)


Raman Analysis Step by Step 3

Step 3: Select datasets and outputed parameters

A new interface appears where you can select what excactly you want as an output

A. First select one entrly from the list at the righ
In order to perform Raman analysis you need a pair of datasets which corresponds to 355 and 387 nm. Depending on your instrument and the specific configuration that you have made during the measurement several options are available. If during data acquistion you have select to acquire only PC signal then only one option is available. In the most general case you have to select between 4 different options

  • 355 PC - 387 PC
  • 355 Glue - 387 Glue
  • 355 Glue - 387 PC
  • 355 PC - 387 Glue

    • Then you have to select if you want to perform raman analysis to only one summed file or you want to perform analysis to each file that you have select

    (It is suggested for weak signals to sum up the files first)

    Finally you have to select one or more items from the right list. Depending on the version of your software different options may be available

    Then press "Add" button and then click OK

    If you have invoke the whole procedure from a plot or worksheet window then you are able to add more than one lines to the table at the bottom.

    (Keep in mind that as more inputs you insert at the table more memory consument the program is)


Raman Analysis Step by Step 4

Step 4: Configure 355 & 387 datasets

Next the program starts to collect data from the files and try to combine the previous selected datasets. Depending on how many Glued datasets you have select the corresponding interface appears several times (learn more about gluing data here...)

After that a new interface appears where you have to select the range of interest, to perform background calculations and finally to filter the nature logarithm or the RCS (range corrected signal). You will be asked to do the same for both channels (355 and 387).

Keep in mind that in order to perform a successful Raman Analysis you have to select for both wavelengths the same range of interest. The easiest way to do that is to save your preferences as default (Make Default check box) when you work with the first wavelength (355).


Raman Analysis Step by Step 5

Step 5: Configure raman parameters

When you complete the previous step the basic Raman Analysis Interface appears which is quite similar with the previous one.

You are going to work with this interface as many times as the number of your inputs at the table during the step 3. (See at the blue bar at the left top corner of the Raman interface window)

At the first graph is displayed the signal ratio. If the signal is too noise then cancel the procedure and start over again and during the step 4 apply a stronger filter to your datasets, especially at 387 wavelength which is the most noisy.

Next apply a filter (filter 1) at signal ratio. Select the item "Filtered Sig Ratio" from the list at the right side of the second graph to see and configure your filtered signal.

Next do the same with the item "Diff RS2" (Filter 2) and with "Filtered Apha1" (Filter 3)

When you are satisfied press "OK" button.

(Keep in mind that the outputted result does not depend on your selection of the list but from your selection during the step 3)


SIGNAL RATIO ANALYSIS

Generally this type of analysis as almost similar with basic lidar analysis. The main difference is at the "Selecting datasets & output parameters" interface you use for this type of analysis.

Basically, instead of selecting and working on a dataset you work on a pair of datasets. And the resulting output is the ratio of the parameters, you have select, of the first dataset over the second one.

For better results on this type of analysis are suggested to configure you datalog file properly, especially if you intend to compare raw data.
See about configuring gain factors at the
"Change database section"


Printing...
Working with data preview and analysis program you can print the worksheet data, the plots and the preview db widnow.
In order to so, you must click the print button at the main window toolbar.
A dialog box appears.

Select the window from the drop-down list you want to print. This list is filled with the names of the opened windows at that moment you invoke the printing procedure.
Type some comment at the "Description" text box which will be printed as header text on the printed page and click "Print" button.

Printing the previou db window...
Printing the data from worksheet...
Printing a plot...


Getting Help...
There are several ways to getting help while working with "Data Preview & Analysis" program.

1. Click on "Help" button at the toolbar of the Main window
2. Move your cursor upon a Control or Indicator and Press <Ctrl>+H
3. Clicko on the Title bar of a window and press <Ctrl>+<Shift>+H


Convert multiple datafiles to ascii format
During data acquisition all datafiles are saved in binary format. To convert datafile to an ASCII format in ordet to use it elsewhere you can do one of the following.

a. Open a worksheet window, or a plot window or a surface window. Import ray data into and select save as ASCII procedure, which are available at all, the above-mentioned windows. Although you must have in mind that following that process only numeric the numeric values will be saved in the ASCII file. If you would like to save also the heading lines of the datafiles you must follow the next process.

b. Open the Main DB window. Select a recordset and the click at the "ASCII conversion" button with are located at the main window toolbar. At the appeared dialog box select a folder by clicking on the "open folder" icon. A common Save as dialog box appears. Navigate to the desired directory or create a new one. Open it and then press "Select Cur Dir" button.

Finally click "OK".

Then all the datafiles that are associated with the previously selected recordset will be saved, at the directory you had selected, in ASCII format. The filenames of the datafiles will have the same structure as the binary ones, except that the prefix RM has been replaced by the prefix AS. The file structure is absolutely the same with the binary counterpart. All header lines are kept and now the data is stored in ASCII format.


Exporting data

Export data as an ascii file...

Click on the corresponding button which is located at the toolbar.

A new dialog box appears

Type a valid filename (with full file path) or click on the "open folder icon" to open a common "Save as" dialog box appears.

Select the sympol (. or ,) that you want to be used as decimal separateror or use the default option which is the system default decimal separator sympol.

Select sympol to seperate the columns. Use one of the predefined (Tab, ; , space) or create a custom one.

If you select the last option a text box appears. Type inside it the sympols you want to use as column seperator.


Theory

Introduction to Lidar technique
The atmospheric laser remote sensing implies the so-called light detection and ranging (lidar) technique, to probe the atmosphere up to altitudes as high as ~120 km. The development of matured pulsed laser sources has enabled the range-resolved measurements of the principal atmospheric gases and atmospheric/meteorological parameters, in a manner somewhat analogous to the radar technique. In this mode of operation a short laser light pulse is emitted to the atmosphere in one or more wavelengths (image below).

The time between the transmission of the laser pulse and the arrival of the backscattered return signal is directly related to the range at which the scattering occurred. The most common processes related to laser pulse scattering by the suspended aerosol particles include the elastic Mie and Rayleigh scattering and the inelastic Raman Scattering.
The atmospheric volume being probed backscatters the laser radiation and a receiving telescope is used to collect all the backscattered laser light occurring through elastic and inelastic processes. Wavelength-separation units are used to spectrally separate the lidar signals at various wavelengths and to reject the atmospheric background radiation. The lidar signals are then fed to fast detectors (photomultiplier tubes: PMTs). The PMT output signals after amplification and digitization are sent to a central personal computer for further processing and storage.

The lidar observations of suspended aerosol particles can be made remotely with high spatial and temporal resolution using the lidar technique. The lidar systems can be operated from gound or mobile platforms, such as aircrafts, helicopters or satellites.
The basic lidar equation is given below:

where, P(z) is the power incident on the receiving optics from distance z, Po is the laser output power, τ is the duration of the laser pulse, c is the velocity of light, β(z) is the volume backscattering coefficient, a(z) is the extinction coefficient of the atmosphere and Atel is the receiving telescope aperture. O(z) is the so-called geometrical form factor (or overlap factor). This factor represents the probability of radiation in the target plane at range z reaching the detector, based on geometrical considerations. The 1/z^2 dependence leads in many applications to a signal-amplitude dynamic range that extends over several decades. Therefore, two detection modes are used: the analog detection mode and the photon counting operation mode.

The detection of the suspended aerosol particles can be performed by an elastic lidar system (single or two-wavelengths) or by an inelastic (Raman) lidar system. The elastic backscattered lidar signals can be inverted using the Klett’s inversion algorithm, while the inelastically backscattered lidar signals can be inverted using the Raman inversion technique, as presented by Ansmann et al. (1992)


KLETT LIDAR ANALYSIS

Generally, the aerosols are not homogeniously distributed into the atmosphere, in that case the ratio of the extintion coefficient α(z) and the backscatter coefficient β(z) is a function of height. From experimental results have been shown that the lidar ration LR(z)=β(z)/α(z) is a function of z and takes values from 2 to 100 sr [Ackermann, 1998].
General, is defined a relationship according to the following formula:

β(z)=LR(z) x α(z)k. Eq.1

Parameter k depend on the transmitted wavelength and theopto-microphysical characteristics of aerosols. According to the literature k takes values between 0.67 to 1 [Brown, 1979].
Assuming that k and LR are constants, from the lidar equation the following equation is derived:
Eq. 2
Klett propused the following solution for the above differential equation

Eq. 3

where αm and Sm are the extintion coefficient and the natural logarithm of the range corrected signal respectively, at a reference height zm .

In order to calculate α one must select a reference height where is assumed that the received signal is not backscattered from aerosols, i.e there is only molecular contribution at the signal. At this height α=αm .

To calculate the backscatter coefficient the Eq. 1 is used and values to LR and k must be assigned.


Raman Analysis
The aerosol extinction coefficient, [image], can be determined from the N2 or (O2) Raman backscattering signals through the application of the expression (Ansman et at., 1990; Ansmann et al., 1992):

where P(z) is the power received from distance z at the Raman wavelength λR if the laser pulse is transmitted at λ0, N(z) is the atmospheric number density, αmol is the extinction coefficient duto to absorption and Rayleigh scattering by atmospheric gases, and where particle scattering is assumed to be proportional to λ-k .

For Data Preview & Analysis program that cames with Raymetrics Raman Lidar systems λR = 387 nm and λ0=355 nm.

The expression [image] is named RS2 and the derivative of it Diff RS2.

Ansmann et al. (1992)


Detection Modes

Analog Detection
The analog detection mode is used to detect intense lidar signals coming from relatively short distances (typically less than 8-10 km). A transient recorder operating in the analog detection mode is based on an analog-to-digital converter (ADC), which samples and digitizes the lidar signals with a sampling rate of 20-40 MHz (depending on the type of the transient recorder used) with a 12-bit resolution. A memory length up to 8192 or 16000 time bins (Tr-xx-80 or Tr-xx-160) depending on the transient recorder type) can be selected. Each time bin corresponds to a spatial resolution of 3.75 or 7.5 m (depending on the sampling rate of the transient recorder used, Tr-20-yy or Tr-40-yy). For instance the 20 MHz sampling rate corresponds to a 7.5 m spatial resolution.

Typical lidar signals acquired in the analog detection mode is shown in Figure below

Typical lidar signal acquired in the analog detection mode.

Photon counting detection

The photon counting detection mode is used to detect very low intensity lidar signals coming from relatively large distances (typically higher than 8-10 km). Thus, the PMT is operated under single electron conditions. Flux levels as low as a few tens of photons per second can be measured. In the photon counting mode the level of the incident flux is such that the cathode emits only single electrons. The individual anode charges due to single photons are integrated to produce proportional voltage pulses, which are passed by a discriminator to a pulse counter, whose output over a pre-set time period is a measure of the incident flux.

Because of statistical fluctuations in the electron multiplication, the amplitude of the single-electron pulses is distributed according to the Poisson statistics.
To obtain a satisfactory signal-to-noise ratio (SNR) of the lidar signal in the photon counting mode, a sufficiently large number of laser shots should be obtained (normally more than 1000).
If the received lidar signal is higher than 60-100 MHz the PMT output signal should be corrected to take into account the dead-time effect. If the dead-time of the counter ( [image]) is comparable to the mean interval separating two successive pulses, the counting error may be appreciable. If a dead-time correction has to be applied, then if the Nobs is the observed count rate, then the true count rate (Ntrue) corrected for the dead-time effect is given by:

Note: The value of [image] depends on the type of the PMT module used (ie. = 4 ns).

Specific environmental effects may increase or decrease the count rate. For instance, background radioactivity increases it.

A typical lidar signal acquired in the photon counting detection mode is shown in figure below

Typical lidar signal acquired in the photon counting detection mode.

Note: For more details and technical specifications of the detection electronics unit, please refer to the detection electronics manufacturer Instructions Manual.


Overlap Correction function
The geometric form factor G(z), referred as the ovelapping function, describes the overlap feature between the laser beam and the telescope field of view of a lidar system as a function of distance from lidar location z.
Sometimes is necessary to correct the form factor to obtain the lidar parameters in the range close to ground level.
The geometric form factor applyed to Data Preview & Analysis program is based on the following formula:
where

The crossing piont between the lower boundary of the laser beam and the upper boundary of the telescopy FOV:

The crossing point between the laser upper boundary and the lower boundary of the telescope FOV:

Where:

D is the diameter of telescope primary mirror
is the telescope field of view angle
is the divergence angle of the laser beam
h is the distance between the axis of the laser beam and the straight line that is parallel to the telscope axis and that hits the upper boundary of the primary mirror.
k is a constant
is the laser spot diameter

H. Kuze, H. Kinjo, Y. Sakurada, N. Takeuchi, "Field-of-view dependence of lidar signals by use of Newtonian and Cassegrainian telescopes", Applied Optincs, 37,15, 1998


Dead Time Correction

The photon counting mode is generally used in very low light-level regions where the count rate is low, and exhibits good linearity. Howerer, when the amount of incident light becomes large, it is necessary to take the linearity of the count rate into account.
Applying the dead time correction function: n=n'/(1-n'*t)
where n is the corrected values, n' is the measurent values and t is the time resolution of your counting system.


Import data from an individual data file
Data can be imported from the working database, from an individual data file and from a single ascii file. Click on "Import Data" button at the worksheet window toolbar and select an option from the dropdown list at the appeared dialog box. To append the data into the worksheet check the correspoding check box. Otherwise the data at the worksheet will be replaced

Import data from working database
Import data from an individual data file
Import data from a single Ascii File


Data Analysis

Welcome to raymetrics data analysis help project


Printing the Previou DB window
Make the Preview DB window active.
Click on the "Print..." button at the main window toolbar
Select the appropriate item on the drop-down list.
Click on "OK" button.
A common "Print Setup" dialog box appears.
Select the printer, type of orientetion and print.

When you print the previou DB window. The resulting pages contains each recordset of the datalog file with the filenames of the associated datafiles
The first line on each page is the full path filename of the working datalog file
As a footer is the current date and time.


Import data to plot window

Import dtat to plot window

Click on "Import data" button [image].
A dialog box appears asking to select data source. Two data sources are available: From database and from Individual datafile.
Select the source you want and click OK button.
If you wand to add the dataplots and keep the existing ones then ckeck the "Append" check box, otherwise the old dataplots while be replaces.

Import data to a plot from an individual datafile.
Import data to a plot from the database


Clear a Surface window

To clear a surface window Click on the "Clear Graph" button